cURL
curl --request GET \
--url https://api.sandbox.capa.fi/api/partner/v2/users/{userId}/wallets \
--header 'partner-api-key: <api-key>'import requests
url = "https://api.sandbox.capa.fi/api/partner/v2/users/{userId}/wallets"
headers = {"partner-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'partner-api-key': '<api-key>'}};
fetch('https://api.sandbox.capa.fi/api/partner/v2/users/{userId}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"count": 2,
"total": 2,
"data": [
{
"id": "8374f327-38bd-4b0b-b8a7-2524599eb903",
"userId": "8374f327-38bd-4b0b-b8a7-2524599eb903",
"walletAddress": "0x4d2f3d8f83b6f2f8e0f3f4f3f3f3f3f3f3f3f3f3",
"alias": "My Polygon Wallet",
"vmType": "EVM",
"enabled": true,
"createdAt": "2025-05-08T18:00:00Z",
"updatedAt": "2025-05-08T18:00:00Z"
}
]
}
}Wallets
List Wallets
GET
/
api
/
partner
/
v2
/
users
/
{userId}
/
wallets
cURL
Retrieves all enabled wallets for a user. Supports pagination and filtering by virtual machine type (
EVM, SVM) or wallet ID.
Error Codes
Common Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”API Key is missing” |
| 401 | UNAUTHORIZED | ”Invalid API Key format” |
| 401 | UNAUTHORIZED | ”Invalid API Key” |
| 403 | INVALID_PARTNER_FLOW | ”The partner has an invalid flow.” |
User Ownership Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”Partner information is required for this operation” |
| 401 | UNAUTHORIZED | ”User is not associated with the partner” |
Endpoint-Specific Errors
| HTTP Status | Code | Message |
|---|---|---|
| 400 | INVALID_USER_INPUT_ERROR | ”Invalid User Input” (invalid UUID) |
Authorizations
API key for the affiliated partner performing the request.
Path Parameters
The userId of the user
Example:
"8374f327-38bd-4b0b-b8a7-2524599eb903"
Query Parameters
Filter by virtual machine type
Available options:
EVM, SVM Filter by wallet ID
The number of elements to exclude from the results.
The maximum amount of results to return.
Supported values:
- createdAt